package controller

import (
	"narasi-ahli-be/app/module/custom_static_pages/service"

	"github.com/rs/zerolog"
)

type Controller struct {
	CustomStaticPages CustomStaticPagesController
}

func NewController(CustomStaticPagesService service.CustomStaticPagesService, log zerolog.Logger) *Controller {
	return &Controller{
		CustomStaticPages: NewCustomStaticPagesController(CustomStaticPagesService, log),
	}
}
